Package com.independentsoft.office.odf

# Class ScriptEventListener

java.lang.Object
com.independentsoft.office.odf.ScriptEventListener

All Implemented Interfaces:
  `IEventListener`

public class ScriptEventListener extends Object implements IEventListener
Binds an event to a macro.

See Also:
  `ScriptEventEvent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptEventListener()`
  Initializes a new instance of the ScriptEventListener class.
  `ScriptEventListener​(InternalXMLStreamReader reader)`
  Instantiates a new script event listener.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScriptEventListener`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getLanguage()`
  Gets the language.
  `String`
  `getMacroLocation()`
  Gets the macro code that should be called for an event.
  `String`
  `getMacroName()`
  Gets the macro name.
  `String`
  `getName()`
  Gets the name.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setMacroLocation​(String macroLocation)`
  Sets the macro code that should be called for an event.
  `void`
  `setMacroName​(String macroName)`
  Sets the macro name.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`
  Converts the value of the current ScriptEventListener object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScriptEventListener

    public ScriptEventListener()
    Initializes a new instance of the ScriptEventListener class.

  - ### ScriptEventListener

    public ScriptEventListener​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new script event listener.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ScriptEventListener clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IEventListener`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ScriptEventListener object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getMacroName

    public String getMacroName()
    Gets the macro name. The interpretation of the name is script language dependent.
    Returns:
      the macro name

  - ### setMacroName

    public void setMacroName​(String macroName)
    Sets the macro name. The interpretation of the name is script language dependent.
    Parameters:
      `macroName` - the new macro name

  - ### getMacroLocation

    public String getMacroLocation()
    Gets the macro code that should be called for an event. The URI may have an arbitrary protocol. The interpretation of the URI is script language dependent.
    Returns:
      the macro location

  - ### setMacroLocation

    public void setMacroLocation​(String macroLocation)
    Sets the macro code that should be called for an event. The URI may have an arbitrary protocol. The interpretation of the URI is script language dependent.
    Parameters:
      `macroLocation` - the new macro location